<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: TestGenerationEnvironment&lt; kExpectedCalls &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classTestGenerationEnvironment.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">TestGenerationEnvironment&lt; kExpectedCalls &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TestGenerationEnvironment&lt; kExpectedCalls &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classTestGenerationEnvironment__inherit__graph.svg" width="214" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for TestGenerationEnvironment&lt; kExpectedCalls &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classTestGenerationEnvironment__coll__graph.svg" width="214" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abcdae77887fbd6dba18f4a55b80f058d"><td class="memItemLeft" align="right" valign="top"><a id="abcdae77887fbd6dba18f4a55b80f058d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>FixtureConstructorExecuted</b> ()</td></tr>
<tr class="separator:abcdae77887fbd6dba18f4a55b80f058d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa17c620af5eb9929bdbde25820cd8e28"><td class="memItemLeft" align="right" valign="top"><a id="aa17c620af5eb9929bdbde25820cd8e28"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUpExecuted</b> ()</td></tr>
<tr class="separator:aa17c620af5eb9929bdbde25820cd8e28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d2576b10818bae1945e17e6e749ff9b"><td class="memItemLeft" align="right" valign="top"><a id="a0d2576b10818bae1945e17e6e749ff9b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDownExecuted</b> ()</td></tr>
<tr class="separator:a0d2576b10818bae1945e17e6e749ff9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a358a1d7cbefc3f9157f625f87dbde754"><td class="memItemLeft" align="right" valign="top"><a id="a358a1d7cbefc3f9157f625f87dbde754"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>TestBodyExecuted</b> ()</td></tr>
<tr class="separator:a358a1d7cbefc3f9157f625f87dbde754"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7731d3161d89e3bd456cd204e2c4890"><td class="memItemLeft" align="right" valign="top"><a id="af7731d3161d89e3bd456cd204e2c4890"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>TearDown</b> () override</td></tr>
<tr class="separator:af7731d3161d89e3bd456cd204e2c4890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1Environment"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1Environment')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1Environment.html">testing::Environment</a></td></tr>
<tr class="memitem:a1bf8cafaa9d4eba9feb98655ee434eb3 inherit pub_methods_classtesting_1_1Environment"><td class="memItemLeft" align="right" valign="top"><a id="a1bf8cafaa9d4eba9feb98655ee434eb3"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUp</b> ()</td></tr>
<tr class="separator:a1bf8cafaa9d4eba9feb98655ee434eb3 inherit pub_methods_classtesting_1_1Environment"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a5b8e14f430fe11d558c0e4482cebd694"><td class="memItemLeft" align="right" valign="top"><a id="a5b8e14f430fe11d558c0e4482cebd694"></a>
static <a class="el" href="classTestGenerationEnvironment.html">TestGenerationEnvironment</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>Instance</b> ()</td></tr>
<tr class="separator:a5b8e14f430fe11d558c0e4482cebd694"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-param-test-test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classTestGenerationEnvironment.html">TestGenerationEnvironment</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
